Class | Ramaze::Gestalt
In: | lib/ramaze/gestalt.rb
Parent: | Object

Gestalt is the custom HTML/XML builder for Ramaze, based on a very simple DSL it will build your markup.

### Methods

_gestalt_build_tag _gestalt_call_tag _gestalt_escape_entities build method_missing new p select tag to_s to_str

### Attributes

out | [RW] |

### Public Class methods

build(&block)

The default way to start building your markup. Takes a block and returns the markup.

Example:

      html =
        Gestalt.build do
          html do
            head do
              title "Hello, World!"
            end
            body do
              h1 "Hello, World!"
            end
          end
        end

new(&block)

Gestalt.new is like ::build but will return itself. you can either access out or .to_s it, which will return the actual markup.

Useful for distributed building of one page.

### Public Instance methods

_gestalt_build_tag(name, attr = {}, text = []) {|| ...}

build a tag for `name`, using `args` and an optional block that will be yielded

_gestalt_call_tag(name, args, &block)
_gestalt_escape_entities(s)
method_missing(meth, *args, &block)

catching all the tags. passing it to _gestalt_build_tag

p(*args, &block)

workaround for Kernel#p to make <p /> tags possible.

select(*args, &block)

workaround for Kernel#select to make <select></select> work

tag(name, *args, &block)
to_s()
to_str()

Alias for to_s

[Validate]